# openstack.database.v1.instance

## The Instance Class

The `Instance` class inherits from `Resource`.

class openstack.database.v1.instance.Instance(_synchronized=False, connection=None, **attrs)

  The base resource

  Parameters:

    - _synchronized (bool) – This is not intended to be used directly. See `new()` and `existing()`.

    - connection (openstack.connection.Connection) – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of `self._connection` in Resource code should protect itself with a check for None.

  resource_key = 'instance'

    Singular form of key for resource.

  resources_key = 'instances'

    Plural form of key for resource.

  base_path = '/instances'

    The base part of the URI for this resource.

  allow_create = True

    Allow create operation for this resource.

  allow_fetch = True

    Allow get operation for this resource.

  allow_commit = True

    Allow update operation for this resource.

  allow_delete = True

    Allow delete operation for this resource.

  allow_list = True

    Allow list operation for this resource.

  flavor

    The flavor of the instance

  links

    Links associated with the instance

  name

    The name of the instance

  status

    The status of the instance

  volume

    The size of the volume

  datastore

    A dictionary of datastore details, often including ‘type’ and ‘version’ keys

  id

    The ID of this instance

  region

    The region this instance resides in

  hostname

    The name of the host

  created_at

    The timestamp when this instance was created

  updated_at

    The timestamp when this instance was updated

  enable_root_user(session)

    Enable login for the root user.

    This operation enables login from any host for the root user and provides the user with a generated root password.

    Parameters:

      session (`Adapter`) – The session to use for making this request.

    Returns:

      A dictionary with keys `name` and `password` specifying the login credentials.

  is_root_enabled(session)

    Determine if root is enabled on an instance.

    Determine if root is enabled on this particular instance.

    Parameters:

      session (`Adapter`) – The session to use for making this request.

    Returns:

      `True` if root user is enabled for a specified database instance or `False` otherwise.

  restart(session)

    Restart the database instance

    Returns:

      `None`

  resize(session, flavor_reference)

    Resize the database instance

    Returns:

      `None`

  resize_volume(session, volume_size)

    Resize the volume attached to the instance

    Returns:

      `None`

this page last updated: 2026-01-16 23:06:19

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.